Bug 1463835 - why the ntp package is being installed as dependency if it isn't needed specifically.
why the ntp package is being installed as dependency if it isn't needed speci...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
ipa-qe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 16:49 EDT by Hemant B Khot
Modified: 2018-05-11 10:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-11 10:07:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hemant B Khot 2017-06-21 16:49:17 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Hemant B Khot 2017-06-21 16:57:05 EDT
Sorry, Accidentally Enter got pressed and it created bugzilla.
==========

IHAC who is requesting for a virtual package for "time-synch" to be created and for it to be added as the dependency for the ipa-client rpm *instead* of ntpd (and that virtual package to be added to the "provides" of both ntpd and chrony). 


While installing ipa-client it force to install ntp while it should give choice of selection.

Dependencies Resolved

==============================================================================================================================================================================================================================================
 Package                                                Arch                                     Version                                                              Repository                                                         Size
==============================================================================================================================================================================================================================================
Installing:
 ipa-client                                             x86_64                                   4.4.0-14.el7_3.7                                                     rhel-7-server-rpms                                                230 k
Installing for dependencies:
 autofs                                                 x86_64                                   1:5.0.7-56.el7                                                       rhel-7-server-rpms                                                781 k
 autogen-libopts                                        x86_64                                   5.18-5.el7                                                           rhel-7-server-rpms                                                 66 k
 certmonger                                             x86_64                                   0.78.4-3.el7                                                         rhel-7-server-rpms                                                598 k
 hesiod                                                 x86_64                                   3.2.1-3.el7                                                          rhel-7-server-rpms                                                 30 k
 ipa-client-common                                      noarch                                   4.4.0-14.el7_3.7                                                     rhel-7-server-rpms                                                124 k
 ipa-common                                             noarch                                   4.4.0-14.el7_3.7                                                     rhel-7-server-rpms                                                450 k
 ntp                                                    x86_64                                   4.2.6p5-25.el7_3.2                                                   rhel-7-server-rpms                                                547 k <=====
=============

And if we remove the ntp it also removes the ipa-client

==============================================================================================================================================================================================================================================
 Package                                               Arch                                              Version                                                         Repository                                                      Size
==============================================================================================================================================================================================================================================
Removing:
 ntp                                                   x86_64                                            4.2.6p5-25.el7_3.2                                              @rhel-7-server-rpms                                            1.4 M
Removing for dependencies:
 ipa-client                                            x86_64                                            4.4.0-14.el7_3.7                                                @rhel-7-server-rpms                                            359 k

Transaction Summary
==============================================================================================================================================================================================================================================
Remove  1 Package (+1 Dependent package)

Installed size: 1.7 M
Is this ok [y/N]: 

=====

At present I have updated customer to mask the ntp service and continue with their choice (e.g chrony)
Comment 3 Petr Vobornik 2017-07-28 11:36:58 EDT
Upstream ticket:
https://pagure.io/freeipa/issue/7024
Comment 8 Petr Vobornik 2018-05-11 10:07:02 EDT
We won't change the behavior in RHEL 7. FreeIPA Upstream changed used NTP service to Chrony in future FreeIPA 4.7.

It is not clear what is the use case or benefit in choosing the other time service in RHEL 7. Thus closing.

Note You need to log in before you can comment on or make changes to this bug.